#! /usr/bin/perl -w
#
use strict;
use File::Basename;
use Test::More tests => 8;

$ENV{LANG} = "en_US";

my $test = "";

$test = dirname($0)."/t1.pl";
`$test`;
ok(($? >> 8) == 5, "$test: 5 profile rules do not match");

$test = dirname($0)."/t2.pl";
`$test`;
ok(($? >> 8) == 0, "$test: profile match");

$test = dirname($0)."/t3.pl";
`$test`;
ok(($? >> 8) == 0, "$test: empty rules, profile match");

$test = dirname($0)."/t4.pl";
`$test`;
ok(($? >> 8) == 0, "$test: empty rules, empty products, profile match");

$test = dirname($0)."/t5.pl";
`$test`;
ok(($? >> 8) == 100, "$test: calc baseversion test, two products only one profile, 3 rules failed.");

$test = dirname($0)."/t6.pl";
`$test`;
ok(($? >> 8) == 0, "$test: test lscpu command");

$test = dirname($0)."/t7.pl";
`$test`;
ok(($? >> 8) == 100, "$test: profile verify failed");

$test = dirname($0)."/t8.sh";
my $out = `$test`;
chomp($out);
ok(($? >> 8) == 1 && "$out" eq "The system is not registered.", "$test: system is not registered");


